Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.genetics
Interface Population

All Superinterfaces:
  Iterable<Chromosome>

All Known Implementing Classes:
  ElitisticListPopulation, ListPopulation

    public interface Population

extends Iterable<Chromosome>

A collection of chromosomes that facilitates generational evolution.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

Method Summary
`void` | `addChromosome(Chromosome chromosome)` Add the given chromosome to the population.
`Chromosome` | `getFittestChromosome()` Access the fittest chromosome in this population.
`int` | `getPopulationLimit()` Access the maximum population size.
`int` | `getPopulationSize()` Access the current population size.
`Population` | `nextGeneration()` Start the population for the next generation.

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getPopulationSize

    int getPopulationSize()

  Access the current population size.

  Returns:
    the current population size.

### getPopulationLimit

    int getPopulationLimit()

  Access the maximum population size.

  Returns:
    the maximum population size.

### nextGeneration

    Population nextGeneration()

  Start the population for the next generation.

  Returns:
    the beginnings of the next generation.

### addChromosome

    void addChromosome(Chromosome chromosome)

  Add the given chromosome to the population.

  Parameters:
    `chromosome` - the chromosome to add.

### getFittestChromosome

    Chromosome getFittestChromosome()

  Access the fittest chromosome in this population.

  Returns:
    the fittest chromosome.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.